com.fasterxml.jackson.databind.jsonFormatVisitors

## Class JsonMapFormatVisitor.Base

- java.lang.Object
- - com.fasterxml.jackson.databind.jsonFormatVisitors.JsonMapFormatVisitor.Base

All Implemented Interfaces:
  JsonFormatVisitorWithSerializerProvider, JsonMapFormatVisitor

Enclosing interface:
  JsonMapFormatVisitor

    public static class JsonMapFormatVisitor.Base
    extends Object
    implements JsonMapFormatVisitor

Default "empty" implementation, useful as the base to start on; especially as it is guaranteed to implement all the method of the interface, even if new methods are getting added.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonMapFormatVisitor

`JsonMapFormatVisitor.Base`

### Field Summary

Fields
`protected SerializerProvider` `_provider`

### Constructor Summary

Constructors
Constructor and Description
`JsonMapFormatVisitor.Base()`
`JsonMapFormatVisitor.Base(SerializerProvider p)`

### Method Summary

Methods
`SerializerProvider` `getProvider()`
`void` `keyFormat(JsonFormatVisitable handler, JavaType keyType)` Visit method called to indicate type of keys of the Map type being visited
`void` `setProvider(SerializerProvider p)`
`void` `valueFormat(JsonFormatVisitable handler, JavaType valueType)` Visit method called after `JsonMapFormatVisitor.keyFormat(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable, com.fasterxml.jackson.databind.JavaType)` to allow visiting of the value type

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _provider

    protected SerializerProvider _provider

### Constructor Detail

#### JsonMapFormatVisitor.Base

    public JsonMapFormatVisitor.Base()

#### JsonMapFormatVisitor.Base

    public JsonMapFormatVisitor.Base(SerializerProvider p)

### Method Detail

#### getProvider

    public SerializerProvider getProvider()

Specified by:
  `getProvider` in interface `JsonFormatVisitorWithSerializerProvider`

#### setProvider

    public void setProvider(SerializerProvider p)

Specified by:
  `setProvider` in interface `JsonFormatVisitorWithSerializerProvider`

#### keyFormat

    public void keyFormat(JsonFormatVisitable handler,
                 JavaType keyType)
                   throws JsonMappingException

Description copied from interface: `JsonMapFormatVisitor`
Visit method called to indicate type of keys of the Map type being visited

Specified by:
  `keyFormat` in interface `JsonMapFormatVisitor`
Throws:
  `JsonMappingException`

#### valueFormat

    public void valueFormat(JsonFormatVisitable handler,
                   JavaType valueType)
                     throws JsonMappingException

Description copied from interface: `JsonMapFormatVisitor`
Visit method called after `JsonMapFormatVisitor.keyFormat(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable, com.fasterxml.jackson.databind.JavaType)` to allow visiting of the value type

Specified by:
  `valueFormat` in interface `JsonMapFormatVisitor`
Throws:
  `JsonMappingException`